<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imhough</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imdct.html">&lt;&lt; imdct</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imhoughc.html">imhoughc &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a> &gt; imhough</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imhough</h1>
    <p class="refpurpose">Image Hough transformation</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">HM</span><span class="default">, </span><span class="default">rho</span><span class="default">, </span><span class="default">th</span><span class="default">] = </span><span class="functionid">imhough</span><span class="default">(</span><span class="default">S</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">S :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">HM :</span>
      <dd><p class="para">Hough Matrix</p></dd></dt>
   <dt><span class="term">rho :</span>
      <dd><p class="para">Distance from center to the point</p></dd></dt>
   <dt><span class="term">th  :</span>
      <dd><p class="para">Angle from the center to the point</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Applies Hough transformation to an image.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/2lines.png</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">HM</span><span class="scilabdefault">,</span> <span class="scilabid">rho</span><span class="scilabdefault">,</span> <span class="scilabid">th</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imhough</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabmacro" href="scilab://scf">scf</a><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span><a class="scilabmacro" href="scilab://Sgrayplot">Sgrayplot</a><span class="scilabopenclose">(</span><span class="scilabid">th</span><span class="scilabdefault">,</span><span class="scilabid">rho</span><span class="scilabdefault">,</span><span class="scilabid">HM</span><span class="scilaboperator">&#0039;</span><span class="scilabdefault">,</span><span class="scilabid">strf</span><span class="scilaboperator">=</span><span class="scilabstring">&#0034;</span><span class="scilabstring">021</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<a class="scilabcommand" href="scilab://xset">xset</a><span class="scilabopenclose">(</span><span class="scilabstring">&#0034;</span><span class="scilabstring">colormap</span><span class="scilabstring">&#0034;</span><span class="scilabdefault">,</span><a class="scilabmacro" href="scilab://hotcolormap">hotcolormap</a><span class="scilabopenclose">(</span><span class="scilabnumber">64</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imradon.html" class="link">imradon</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imdct.html">&lt;&lt; imdct</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imhoughc.html">imhoughc &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
